summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorQball Cow <qball@gmpclient.org>2015-11-20 11:15:34 +0100
committerQball Cow <qball@gmpclient.org>2015-11-20 11:19:36 +0100
commit264e9e5b0e4dafd158b0ee9a922f7fc641614b6c (patch)
tree97422b4bb36b9f69f6e4b6f4cf63dacbec78c10e /test
parent5f7694fc623c8d9b24148205b39a4505a40501ef (diff)
Issue #275 test case
Diffstat (limited to 'test')
-rwxr-xr-xtest/run_issue_275.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/run_issue_275.sh b/test/run_issue_275.sh
new file mode 100755
index 00000000..7c4d5703
--- /dev/null
+++ b/test/run_issue_275.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+echo -e "aap\nnoot\nmies" | rofi -dmenu &
+RPID=$!
+
+# send enter.
+sleep 5;
+xdotool key 't'
+sleep 0.4
+xdotool key 'r'
+sleep 0.4
+xdotool key 'u'
+sleep 0.4
+xdotool key 'e'
+sleep 0.4
+xdotool key End
+
+# Get result, kill xvfb
+wait ${RPID}
+RETV=$?
+
+exit ${RETV}